package com.example.demo.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.info.BuildProperties;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import jakarta.servlet.http.HttpServletRequest;

@RestController
public class MainController {
	@Autowired
	private BuildProperties buildProperties;

	@GetMapping({ "", "/" })
	public String index(HttpServletRequest request) {
		return "您好！demo-tomcat application。 buildNumber = " + buildProperties.get("buildNumber");
	}
}
